package com.qmth.teachcloud.mark.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.teachcloud.mark.bean.scananswer.SheetUploadVo;
import com.qmth.teachcloud.mark.entity.ScanPackage;

import java.util.List;
import java.util.Set;

import org.springframework.web.multipart.MultipartFile;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author xf
 * @since 2023-09-22
 */
public interface ScanPackageService extends IService<ScanPackage> {

	int getCount(Long examId);

    List<ScanPackage> listByExamIdAndCoursePaperIdAndPackageCode(Long examId, String coursePaperId, String packageCode);

	SheetUploadVo imageUpload(Long examId,Set<String> coursePaperIds, String packageCode, Integer packageNo, MultipartFile file, String md5);
}
